Skip to main content
POST
Create a share code

Authorizations

Authorization
string
header
required

An API key that starts with vms_. Make one in Settings > API keys.

Path Parameters

id
string
required
Example:

"tpl_06d8k3m7q2v9x4b1n5c0e8f2ja"

Body

application/json
label
string

A note that tells you who has the code.

Required string length: 1 - 100

Response

The share code, with the code.

id
string
required
Example:

"tsc_06d8k3m7q2v9x4b1n5c0e8f2ja"

templateId
string
required
Example:

"tpl_06d8k3m7q2v9x4b1n5c0e8f2ja"

label
string | null
required

A note that tells you who has the code.

Example:

"partner-team"

codeEnd
string
required

The last 4 characters of the code.

Example:

"8f2j"

lastUsedAt
string<date-time> | null
required

When a sandbox was last created with the code. Null if no sandbox was created with it.

Pattern: ^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))T(?:(?:[01]\d|2[0-3]):[0-5]\d:[0-5]\d(?:\.\d+)?(?:Z))$
createdAt
string<date-time>
required
Pattern: ^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))T(?:(?:[01]\d|2[0-3]):[0-5]\d:[0-5]\d(?:\.\d+)?(?:Z))$
code
string
required

The share code. Send it as template when you create a sandbox. The API shows it only in this response.

Example:

"share_9x4b1n5c0e8f2ja06d8k3m7q2v9x4b1n5c0e8f2j"